Summary: Plain and eplain format w/ Czech and Slovak hyphenation patterns
Name: csplain
Version: 0.04
Release: 2
Copyright: distributable
Group: Applications/Publishing/TeX
Source: ftp.fi.muni.cz:/pub/tex/local/cstex/unix/csplain.tar.gz
Requires: tetex, csfonts
Packager: Jan "Yenya" Kasprzak <kas@muni.cz>

%description
This is package contains two TeX formats: csplain and cseplain,
which can be directly used (together with csfonts) for typesetting
Czech and/or Slovak texts. The package contains format files
and their sources, and links /usr/bin/cstex and /usr/bin/csetex,
so that you can say "cstex myczechfile.tex".
The csplain sources were taken from Petr Olsak's cstex96 for UNIX
distribution on math.feld.cvut.cz.

%prep

%setup -c
mv texmf/tex/csplain/extcode.tex texmf/tex/csplain/il2code.tex
cat <<EOF >texmf/tex/csplain/cseplain.ini
% Hacked from csplain.ini by Jan "Yenya" Kasprzak <kas@muni.cz>
\input csfonts  % re-defines primitive \font
\input plain    % format Plain
\restorefont    % original meaning of primitive \font
\input eplain	% eplain format
\input il2code  % extra codes for czech / slovak letters in ISO-8859-2 encoding
\input hyphen.lan  % czech / slovak hyphenation pattern (may be others too)
\input plaina4  % \hsize and \vsize for A4
\chyph
\everyjob=\expandafter{\the\everyjob
   \message{The format: cseplain <Jul. 1996>.}
   \message{The cs-fonts are preloaded and A4 size implicitly defined.}
   \message{Czech hyphenation used, \string\frenchspacing is set on.}}
\dump
EOF

cd texmf/tex
patch -p0 <<EOF
diff -u --recursive csplain.orig/csplain.ini csplain/csplain.ini
--- csplain.orig/csplain.ini	Wed Aug 23 11:25:29 1995
+++ csplain/csplain.ini	Sat Aug  3 10:53:46 1996
@@ -1,11 +1,15 @@
 \input csfonts  % re-defines primitive \font
 \input plain    % format Plain
 \restorefont    % original meaning of primitive \font
-\input extcode  % extra codes for czech / slovak letters in ISO-8859-2 encoding
+% The following line used to input extcode.tex. I've renamed that file
+% to il2code.tex, which looks more appropriate to me.     --Jan Kasprzak
+\input il2code  % extra codes for czech / slovak letters in ISO-8859-2 encoding
 \input hyphen.lan  % czech / slovak hyphenation pattern (may be others too)
 \input plaina4  % \hsize and \vsize for A4
+\chyph
 \everyjob=\expandafter{\the\everyjob
    \message{The format: csplain <Apr. 1995>.}
-   \message{The cs-fonts are preloaded and A4 size implicitly defined.}}
+   \message{The cs-fonts are preloaded and A4 size implicitly defined.}
+   \message{Czech hyphenation used, \string\frenchspacing is set on.}}
 \dump

diff -u --recursive csplain.orig/il2code.tex csplain/il2code.tex
--- csplain.orig/il2code.tex	Wed Aug 23 11:25:29 1995
+++ csplain/il2code.tex	Thu Aug  1 18:24:50 1996
@@ -1,3 +1,4 @@
+% Renamed to il2code.tex by Jan "Yenya" Kasprzak <kas@muni.cz>
 % File extcode.tex does:
 %  (1) sets \catcode, \l/uccode for characters (code ISO-8859-2),
 %  (2) defines \csaccents for new behavior of \v, \', etc (code ISO-8859-2),
EOF

%build
cd texmf/tex/csplain
initex csplain.ini
initex cseplain.ini

%install

DESTDIR=/usr/lib/texmf/texmf/tex/csplain
cd texmf/tex/csplain
test -d $DESTDIR || mkdir $DESTDIR
cp cseplain.ini csfonts.tex csplain.doc csplain.ini czech.sty czhyphen.ex \
	czhyphen.tex hyphen.ex hyphen.lan il2code.tex plaina4.tex \
	skhyphen.ex skhyphen.tex slovak.sty $DESTDIR
cp csplain.fmt cseplain.fmt /usr/lib/texmf/texmf/web2c/

ln -sf virtex /usr/lib/texmf/bin/i586-linux/cstex
ln -sf virtex /usr/lib/texmf/bin/i586-linux/csetex
ln -sf ../lib/texmf/bin/i586-linux/cstex /usr/bin/cstex
ln -sf ../lib/texmf/bin/i586-linux/csetex /usr/bin/csetex
ln -sf csplain.fmt /usr/lib/texmf/texmf/web2c/cstex.fmt
ln -sf cseplain.fmt /usr/lib/texmf/texmf/web2c/csetex.fmt

%post
/usr/bin/texhash

%postun
/usr/bin/texhash

%files
%dir /usr/lib/texmf/texmf/tex/csplain
/usr/bin/cstex
/usr/bin/csetex
/usr/lib/texmf/bin/i586-linux/cstex
/usr/lib/texmf/bin/i586-linux/csetex
/usr/lib/texmf/texmf/web2c/csplain.fmt
/usr/lib/texmf/texmf/web2c/cseplain.fmt
/usr/lib/texmf/texmf/web2c/cstex.fmt
/usr/lib/texmf/texmf/web2c/csetex.fmt
/usr/lib/texmf/texmf/tex/csplain/cseplain.ini
/usr/lib/texmf/texmf/tex/csplain/csfonts.tex
/usr/lib/texmf/texmf/tex/csplain/csplain.doc
/usr/lib/texmf/texmf/tex/csplain/csplain.ini
/usr/lib/texmf/texmf/tex/csplain/czech.sty
/usr/lib/texmf/texmf/tex/csplain/czhyphen.ex
/usr/lib/texmf/texmf/tex/csplain/czhyphen.tex
/usr/lib/texmf/texmf/tex/csplain/hyphen.ex
/usr/lib/texmf/texmf/tex/csplain/hyphen.lan
/usr/lib/texmf/texmf/tex/csplain/il2code.tex
/usr/lib/texmf/texmf/tex/csplain/plaina4.tex
/usr/lib/texmf/texmf/tex/csplain/skhyphen.ex
/usr/lib/texmf/texmf/tex/csplain/skhyphen.tex
/usr/lib/texmf/texmf/tex/csplain/slovak.sty

